##
# Newsletter


#-
#  name: 'gesagt.getan. Newsletter'
#  uriPattern: '<GesagtGetanNewsletter>'
#  subRoutes:
#    'GesagtGetanNewsletter':
#      package: 'GesagtGetan.Inquiry'

-
  name:  'Newsletter Confirm'
  uriPattern: 'newsletter/confirm/{newsletter}'
  defaults:
    '@package':    'GesagtGetan.Inquiry'
    '@controller': 'Newsletter'
    '@action':     'index'
  httpMethods: ['GET']
-
  name:  'Newsletter Unsubscribe'
  uriPattern: 'newsletter/unsubscribe/{email}'
  defaults:
    '@package':    'GesagtGetan.Inquiry'
    '@controller': 'Newsletter'
    '@action':     'unsubscribe'
  httpMethods: ['GET']
-
  name:  'Newsletter Export'
  uriPattern: 'newsletter/export'
  defaults:
    '@package':    'GesagtGetan.Inquiry'
    '@controller': 'Newsletter'
    '@action':     'export'

-
  name: 'list all inquiries as josn'
  uriPattern: 'neos/inquiry/list'
  defaults:
    '@package': 'GesagtGetan.Inquiry'
    '@controller': 'Api\InquiryApi'
    '@action': 'list'
  appendExceedingArguments: true

-
  name: 'list all inquiries fields as json'
  uriPattern: 'neos/inquiry/fields'
  defaults:
    '@package': 'GesagtGetan.Inquiry'
    '@controller': 'Api\InquiryApi'
    '@action': 'fields'
    '@format': 'json'
  appendExceedingArguments: true

-
  name: 'export all inquiries fields as XLSS'
  uriPattern: 'neos/inquiry/export'
  defaults:
    '@package': 'GesagtGetan.Inquiry'
    '@controller': 'Api\InquiryApi'
    '@action': 'export'
  appendExceedingArguments: true
